package com.gmei.function;

import com.gmei.bean.bl.BlPreciseExposureBean;
import org.apache.flink.api.java.functions.KeySelector;


/**
 * ClassName: BlPreciseExposureKeySelector
 * Function:
 * Reason: BL层数据聚合分组器
 * Date: 2019/12/7 上午11:01
 *
 * @author liuzhe
 * @since JDK 1.8
 */
public class BlPreciseExposureKeySelector implements KeySelector<BlPreciseExposureBean, String> {
    @Override
    public String getKey(BlPreciseExposureBean blPreciseExposureBean) throws Exception {
        return blPreciseExposureBean.getGm_nginx_time_day();
    }
}
