package com.gmei.cache;

import org.roaringbitmap.longlong.Roaring64NavigableMap;

/**
 * ClassName: PreciseAccumulator
 * Function: TODO ADD FUNCTION.
 * Reason: TODO ADD REASON.
 * Date: 2020/1/14 下午8:24
 *
 * @author liuzhe
 * @since JDK 1.8
 */

public class PreciseAccumulator {
    private Roaring64NavigableMap bitmap;

    public Roaring64NavigableMap getBitmap() {
        return bitmap;
    }

    public void setBitmap(Roaring64NavigableMap bitmap) {
        this.bitmap = bitmap;
    }

    public PreciseAccumulator(){
        bitmap=new Roaring64NavigableMap();
    }

    public PreciseAccumulator(long defaultValue) {
        bitmap=new Roaring64NavigableMap();
        bitmap.addLong(defaultValue);
    }

    public void add(long id){
        bitmap.addLong(id);
    }

    public long getCardinality(){
        return bitmap.getLongCardinality();
    }

    public boolean contains(long value) {
        return bitmap.contains(value);
    }

    public void clear() {
        bitmap.clear();
    }

    @Override
    public String toString() {
        return bitmap.toString();
    }
}
